package com.platform.modules.live.utils;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;
import org.springframework.web.context.ServletContextAware;

import javax.servlet.ServletContext;

@ConfigurationProperties(prefix = "foreign")
@Component
public class ForeignProperties implements ServletContextAware{
	private String wapurl;
	private String dataurl;
	private String mediaurl;
	private String vodmediaurl;

	public String getWapurl() {
		return wapurl;
	}

	public void setWapurl(String wapurl) {
		this.wapurl = wapurl;
	}

	public String getDataurl() {
		return dataurl;
	}

	public void setDataurl(String dataurl) {
		this.dataurl = dataurl;
	}

	public String getMediaurl() {
		return mediaurl;
	}

	public void setMediaurl(String mediaurl) {
		this.mediaurl = mediaurl;
	}

	public String getVodmediaurl() {
		return vodmediaurl;
	}

	public void setVodmediaurl(String vodmediaurl) {
		this.vodmediaurl = vodmediaurl;
	}

	@Override
	public void setServletContext(ServletContext servletContext) {

	}
}
